<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:28 CEST 2014 -->
<title>Draft_76</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Draft_76";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Draft_76.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/drafts/Draft.CloseHandshakeType.html" title="enum in org.java_websocket.drafts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/drafts/Draft_76.html" target="_top">Frames</a></li>
<li><a href="Draft_76.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_org.java_websocket.drafts.Draft">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket.drafts</div>
<h2 title="Class Draft_76" class="title">Class Draft_76</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">org.java_websocket.drafts.Draft</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">org.java_websocket.drafts.Draft_75</a></li>
<li>
<ul class="inheritance">
<li>org.java_websocket.drafts.Draft_76</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Draft_76</span>
extends <a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.java_websocket.drafts.Draft">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.java_websocket.drafts.<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></h3>
<code><a href="../../../org/java_websocket/drafts/Draft.CloseHandshakeType.html" title="enum in org.java_websocket.drafts">Draft.CloseHandshakeType</a>, <a href="../../../org/java_websocket/drafts/Draft.HandshakeState.html" title="enum in org.java_websocket.drafts">Draft.HandshakeState</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#closehandshake">closehandshake</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#failed">failed</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Random</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#reuseableRandom">reuseableRandom</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.java_websocket.drafts.Draft_75">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.java_websocket.drafts.<a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></h3>
<code><a href="../../../org/java_websocket/drafts/Draft_75.html#CR">CR</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#currentFrame">currentFrame</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#END_OF_FRAME">END_OF_FRAME</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#LF">LF</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#readingState">readingState</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#readyframes">readyframes</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#START_OF_FRAME">START_OF_FRAME</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.java_websocket.drafts.Draft">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.java_websocket.drafts.<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></h3>
<code><a href="../../../org/java_websocket/drafts/Draft.html#continuousFrameType">continuousFrameType</a>, <a href="../../../org/java_websocket/drafts/Draft.html#FLASH_POLICY_REQUEST">FLASH_POLICY_REQUEST</a>, <a href="../../../org/java_websocket/drafts/Draft.html#INITIAL_FAMESIZE">INITIAL_FAMESIZE</a>, <a href="../../../org/java_websocket/drafts/Draft.html#MAX_FAME_SIZE">MAX_FAME_SIZE</a>, <a href="../../../org/java_websocket/drafts/Draft.html#role">role</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#Draft_76()">Draft_76</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/drafts/Draft.HandshakeState.html" title="enum in org.java_websocket.drafts">Draft.HandshakeState</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#acceptHandshakeAsClient(org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshake)">acceptHandshakeAsClient</a></strong>(<a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request,
                       <a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a>&nbsp;response)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/drafts/Draft.HandshakeState.html" title="enum in org.java_websocket.drafts">Draft.HandshakeState</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#acceptHandshakeAsServer(org.java_websocket.handshake.ClientHandshake)">acceptHandshakeAsServer</a></strong>(<a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;handshakedata)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#copyInstance()">copyInstance</a></strong>()</code>
<div class="block">Drafts must only be by one websocket at all.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.nio.ByteBuffer</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#createBinaryFrame(org.java_websocket.framing.Framedata)">createBinaryFrame</a></strong>(<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#createChallenge(java.lang.String,%20java.lang.String,%20byte[])">createChallenge</a></strong>(java.lang.String&nbsp;key1,
               java.lang.String&nbsp;key2,
               byte[]&nbsp;key3)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#generateKey()">generateKey</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/drafts/Draft.CloseHandshakeType.html" title="enum in org.java_websocket.drafts">Draft.CloseHandshakeType</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#getCloseHandshakeType()">getCloseHandshakeType</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static byte[]</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#getPart(java.lang.String)">getPart</a></strong>(java.lang.String&nbsp;key)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/handshake/ClientHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ClientHandshakeBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#postProcessHandshakeRequestAsClient(org.java_websocket.handshake.ClientHandshakeBuilder)">postProcessHandshakeRequestAsClient</a></strong>(<a href="../../../org/java_websocket/handshake/ClientHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ClientHandshakeBuilder</a>&nbsp;request)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/handshake/HandshakeBuilder.html" title="interface in org.java_websocket.handshake">HandshakeBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#postProcessHandshakeResponseAsServer(org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshakeBuilder)">postProcessHandshakeResponseAsServer</a></strong>(<a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request,
                                    <a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a>&nbsp;response)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#translateFrame(java.nio.ByteBuffer)">translateFrame</a></strong>(java.nio.ByteBuffer&nbsp;buffer)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/drafts/Draft_76.html#translateHandshake(java.nio.ByteBuffer)">translateHandshake</a></strong>(java.nio.ByteBuffer&nbsp;buf)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.drafts.Draft_75">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.drafts.<a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></h3>
<code><a href="../../../org/java_websocket/drafts/Draft_75.html#createBuffer()">createBuffer</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#createFrames(java.nio.ByteBuffer,%20boolean)">createFrames</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#createFrames(java.lang.String,%20boolean)">createFrames</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#increaseBuffer(java.nio.ByteBuffer)">increaseBuffer</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#reset()">reset</a>, <a href="../../../org/java_websocket/drafts/Draft_75.html#translateRegularFrame(java.nio.ByteBuffer)">translateRegularFrame</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.drafts.Draft">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.drafts.<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></h3>
<code><a href="../../../org/java_websocket/drafts/Draft.html#basicAccept(org.java_websocket.handshake.Handshakedata)">basicAccept</a>, <a href="../../../org/java_websocket/drafts/Draft.html#checkAlloc(int)">checkAlloc</a>, <a href="../../../org/java_websocket/drafts/Draft.html#continuousFrame(org.java_websocket.framing.Framedata.Opcode,%20java.nio.ByteBuffer,%20boolean)">continuousFrame</a>, <a href="../../../org/java_websocket/drafts/Draft.html#createHandshake(org.java_websocket.handshake.Handshakedata,%20org.java_websocket.WebSocket.Role)">createHandshake</a>, <a href="../../../org/java_websocket/drafts/Draft.html#createHandshake(org.java_websocket.handshake.Handshakedata,%20org.java_websocket.WebSocket.Role,%20boolean)">createHandshake</a>, <a href="../../../org/java_websocket/drafts/Draft.html#getRole()">getRole</a>, <a href="../../../org/java_websocket/drafts/Draft.html#readLine(java.nio.ByteBuffer)">readLine</a>, <a href="../../../org/java_websocket/drafts/Draft.html#readStringLine(java.nio.ByteBuffer)">readStringLine</a>, <a href="../../../org/java_websocket/drafts/Draft.html#setParseMode(org.java_websocket.WebSocket.Role)">setParseMode</a>, <a href="../../../org/java_websocket/drafts/Draft.html#translateHandshakeHttp(java.nio.ByteBuffer,%20org.java_websocket.WebSocket.Role)">translateHandshakeHttp</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="failed">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>failed</h4>
<pre>private&nbsp;boolean failed</pre>
</li>
</ul>
<a name="closehandshake">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closehandshake</h4>
<pre>private static final&nbsp;byte[] closehandshake</pre>
</li>
</ul>
<a name="reuseableRandom">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reuseableRandom</h4>
<pre>private final&nbsp;java.util.Random reuseableRandom</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Draft_76()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Draft_76</h4>
<pre>public&nbsp;Draft_76()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createChallenge(java.lang.String, java.lang.String, byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createChallenge</h4>
<pre>public static&nbsp;byte[]&nbsp;createChallenge(java.lang.String&nbsp;key1,
                     java.lang.String&nbsp;key2,
                     byte[]&nbsp;key3)
                              throws <a href="../../../org/java_websocket/exceptions/InvalidHandshakeException.html" title="class in org.java_websocket.exceptions">InvalidHandshakeException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidHandshakeException.html" title="class in org.java_websocket.exceptions">InvalidHandshakeException</a></code></dd></dl>
</li>
</ul>
<a name="generateKey()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateKey</h4>
<pre>private static&nbsp;java.lang.String&nbsp;generateKey()</pre>
</li>
</ul>
<a name="getPart(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPart</h4>
<pre>private static&nbsp;byte[]&nbsp;getPart(java.lang.String&nbsp;key)
                       throws <a href="../../../org/java_websocket/exceptions/InvalidHandshakeException.html" title="class in org.java_websocket.exceptions">InvalidHandshakeException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidHandshakeException.html" title="class in org.java_websocket.exceptions">InvalidHandshakeException</a></code></dd></dl>
</li>
</ul>
<a name="acceptHandshakeAsClient(org.java_websocket.handshake.ClientHandshake, org.java_websocket.handshake.ServerHandshake)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acceptHandshakeAsClient</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/drafts/Draft.HandshakeState.html" title="enum in org.java_websocket.drafts">Draft.HandshakeState</a>&nbsp;acceptHandshakeAsClient(<a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request,
                                           <a href="../../../org/java_websocket/handshake/ServerHandshake.html" title="interface in org.java_websocket.handshake">ServerHandshake</a>&nbsp;response)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft_75.html#acceptHandshakeAsClient(org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshake)">acceptHandshakeAsClient</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></code></dd>
</dl>
</li>
</ul>
<a name="acceptHandshakeAsServer(org.java_websocket.handshake.ClientHandshake)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acceptHandshakeAsServer</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/drafts/Draft.HandshakeState.html" title="enum in org.java_websocket.drafts">Draft.HandshakeState</a>&nbsp;acceptHandshakeAsServer(<a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;handshakedata)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft_75.html#acceptHandshakeAsServer(org.java_websocket.handshake.ClientHandshake)">acceptHandshakeAsServer</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></code></dd>
</dl>
</li>
</ul>
<a name="postProcessHandshakeRequestAsClient(org.java_websocket.handshake.ClientHandshakeBuilder)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postProcessHandshakeRequestAsClient</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/handshake/ClientHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ClientHandshakeBuilder</a>&nbsp;postProcessHandshakeRequestAsClient(<a href="../../../org/java_websocket/handshake/ClientHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ClientHandshakeBuilder</a>&nbsp;request)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft_75.html#postProcessHandshakeRequestAsClient(org.java_websocket.handshake.ClientHandshakeBuilder)">postProcessHandshakeRequestAsClient</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></code></dd>
</dl>
</li>
</ul>
<a name="postProcessHandshakeResponseAsServer(org.java_websocket.handshake.ClientHandshake, org.java_websocket.handshake.ServerHandshakeBuilder)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postProcessHandshakeResponseAsServer</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/handshake/HandshakeBuilder.html" title="interface in org.java_websocket.handshake">HandshakeBuilder</a>&nbsp;postProcessHandshakeResponseAsServer(<a href="../../../org/java_websocket/handshake/ClientHandshake.html" title="interface in org.java_websocket.handshake">ClientHandshake</a>&nbsp;request,
                                                    <a href="../../../org/java_websocket/handshake/ServerHandshakeBuilder.html" title="interface in org.java_websocket.handshake">ServerHandshakeBuilder</a>&nbsp;response)
                                                      throws <a href="../../../org/java_websocket/exceptions/InvalidHandshakeException.html" title="class in org.java_websocket.exceptions">InvalidHandshakeException</a></pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft_75.html#postProcessHandshakeResponseAsServer(org.java_websocket.handshake.ClientHandshake,%20org.java_websocket.handshake.ServerHandshakeBuilder)">postProcessHandshakeResponseAsServer</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidHandshakeException.html" title="class in org.java_websocket.exceptions">InvalidHandshakeException</a></code></dd></dl>
</li>
</ul>
<a name="translateHandshake(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translateHandshake</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/handshake/Handshakedata.html" title="interface in org.java_websocket.handshake">Handshakedata</a>&nbsp;translateHandshake(java.nio.ByteBuffer&nbsp;buf)
                                 throws <a href="../../../org/java_websocket/exceptions/InvalidHandshakeException.html" title="class in org.java_websocket.exceptions">InvalidHandshakeException</a></pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft.html#translateHandshake(java.nio.ByteBuffer)">translateHandshake</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidHandshakeException.html" title="class in org.java_websocket.exceptions">InvalidHandshakeException</a></code></dd></dl>
</li>
</ul>
<a name="translateFrame(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>translateFrame</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&gt;&nbsp;translateFrame(java.nio.ByteBuffer&nbsp;buffer)
                                         throws <a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft_75.html#translateFrame(java.nio.ByteBuffer)">translateFrame</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></code></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../org/java_websocket/exceptions/InvalidDataException.html" title="class in org.java_websocket.exceptions">InvalidDataException</a></code></dd></dl>
</li>
</ul>
<a name="createBinaryFrame(org.java_websocket.framing.Framedata)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBinaryFrame</h4>
<pre>public&nbsp;java.nio.ByteBuffer&nbsp;createBinaryFrame(<a href="../../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft_75.html#createBinaryFrame(org.java_websocket.framing.Framedata)">createBinaryFrame</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></code></dd>
</dl>
</li>
</ul>
<a name="getCloseHandshakeType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCloseHandshakeType</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/drafts/Draft.CloseHandshakeType.html" title="enum in org.java_websocket.drafts">Draft.CloseHandshakeType</a>&nbsp;getCloseHandshakeType()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft_75.html#getCloseHandshakeType()">getCloseHandshakeType</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></code></dd>
</dl>
</li>
</ul>
<a name="copyInstance()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copyInstance</h4>
<pre>public&nbsp;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;copyInstance()</pre>
<div class="block"><strong>Description copied from class:&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft.html#copyInstance()">Draft</a></code></strong></div>
<div class="block">Drafts must only be by one websocket at all. To prevent drafts to be used more than once the Websocket implementation should call this method in order to create a new usable version of a given draft instance.<br>
 The copy can be safely used in conjunction with a new websocket connection.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../org/java_websocket/drafts/Draft_75.html#copyInstance()">copyInstance</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts">Draft_75</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Draft_76.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/java_websocket/drafts/Draft_75.html" title="class in org.java_websocket.drafts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/java_websocket/drafts/Draft.CloseHandshakeType.html" title="enum in org.java_websocket.drafts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/drafts/Draft_76.html" target="_top">Frames</a></li>
<li><a href="Draft_76.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_org.java_websocket.drafts.Draft">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
